<style>
.server-main_container {
    max-width: 80%;
    margin: 0 auto;
}

td:nth-child(2), th:nth-child(2){
	width: 400px;
}

td, th{
	width: 150px;
}

table{
	text-align: left;
	border: 1px solid grey;
}

tr:nth-child(even){
	background: rgba(255, 255, 255, 0.7);
}

tr{
	background: rgba(255, 255, 255, 1.0);
}

.server-map_map{
    height: 70px;
    width: 120px;
    border-radius: 10px;
}
</style>

<?php

$serverFile = 'serversInfo.json';
$jsonServerList = json_decode(file_get_contents($serverFile), true);
if ($jsonData === null && json_last_error() !== JSON_ERROR_NONE) {
    	echo 'Invalid JSON format.';
}
else{
	echo '<table class="server-main_container">';

	function sortByPlayers($a, $b) {
		return $b['players'] - $a['players'];
	}
	usort($jsonServerList, 'sortByPlayers');

	foreach($jsonServerList as $server){
		echo '
			<tr>
				<th></th>
				<th></th>
				<th></th>
				<th></th>
				<th></th>
				<th></th>
			</tr>
			<tr>
				<td class="server-header_information">
					<div class="server-map_container">
						<img class="server-map_map" src="https://image.gametracker.com/images/maps/160x120/cs/'.strtolower($server['map']).'.jpg" />
					</div>
				</td>
				<td class="server-header_information">
					<div class="server-info_name">'.$server['server'].'</div>
					<div class="server-info_ip">'.$server['ip'].'</div>
				</td>
				<td class="server-header_information">'.$server['players'].'/'.$server['playersmax'].'</td>
				<td class="server-header_information">[TR: '.$server['scoret'].' CT: '.$server['scorect'].']</td>
			</tr>
		';
	}
	echo '</table>';
}
?>